<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.energy.mapper.EleStatisticalSetMapper">
    <select id="getEleStatisticalDetail" resultType="com.njcn.energy.pojo.vo.EleStatisticalVO">
        SELECT
            dic.id statisticalId,
            dic.NAME statisticalName
        FROM
            sys_dict_data dic
        INNER JOIN
            sys_dict_type type on dic.Type_Id = type.Id
        WHERE
            type.name =#{typeName}
        ORDER BY
            dic.sort
    </select>
</mapper>